Subject: Re: [Tsvwg] I-D Action:draft-ietf-tsvwg-rsvp-user-error-spec-05.txt

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 1 Apr 2008 17:38:11 +0100

Well, what do you think?
We intended to allow error values to be defined in the future if someone
comes up with a reason.

The precedent in RFC 2205 is that only Error Values that are defined are
mentioned. Error Codes that have no Error Values are defined with no mention
of the Error Value. For example, Error Code 3, 4, or 6.

We could curtail this explicitly in the draft if there is demand from the
group.

Cheers,
Adrian

----- Original Message ----- 
From: "Francois Le Faucheur IMAP" <[email-masked]>
To: "tsvwg IETF list" <[email-masked]>
Sent: Tuesday, April 01, 2008 5:14 PM
Subject: Re: [Tsvwg] I-D Action:draft-ietf-tsvwg-rsvp-user-error-spec-05.txt

> Hi,
>
> I think this document is ready to move forward.
>
> One small suggestion perhaps. It probably wouldn't hurt to be  explicit 
> about the "Error Value" field of the ERROR_SPEC (when Error  Code = "User 
> Error Spec"). I understand this field is basically not  to serve any 
> purpose ("No Error Values are defined), suggesting a  "MUST be set to zero 
> on transmit and MUST be ignored on receipt" .
>
> Francois
>
>
> ===============================================================
> Updated after discussion with Jukka.
> Adrian
>
> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
> Title           : User-Defined Errors for RSVP
> Author(s)       : G. Swallow, A. Farrel
> Filename        : draft-ietf-tsvwg-rsvp-user-error-spec-05.txt
> Pages           : 8
> Date            : 2008-04-01
>
> The Resource ReserVation Protocol (RSVP) defines an ERROR_SPEC object
> for communicating errors.  That object has a defined format that
> permits the definition of 256 error codes.  As RSVP has been
> developed and extended, the convention has been to be conservative in
> defining new error codes.  Further, no provision for user-defined
> errors exists in RSVP.
>
> This document defines a USER_ERROR_SPEC to be used in addition to the
> ERROR_SPEC to carry additional user information related to errors.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-tsvwg-rsvp-user-error- 
> spec-05.txt
>
>

---

From: Francois Le Faucheur IMAP <[email-masked]>
Date: Tue, 1 Apr 2008 20:25:23 +0200

> We intended to allow error values to be defined in the future if  

how about you do define one Error Value in this draft (eg "0  = all  
error information is encoded inside USER_ERROR_SPEC") ?
This way:
	- implementations will know that they must set value to 0 (until  
they have something more meaningful to put inside Error Value)
	- implementation will know that when they receive 0, it means there  
is no meaningful info
	- the registry in IANA will show a single value for now (making it  
clear that it the value to set/expect for now) and other values can  
be added there later.
I'd think this would make things clearer/cleaner than not specifying  
any value. You could argue it kinds of wastes one value but  
considering this is 16 bits field and there is no identified use yet,  
that seems bearable.

Makes sense?

Francois

> ----- Original Message ----- From: "Francois Le Faucheur IMAP"  
> <[email-masked]>
>> One small suggestion perhaps. It probably wouldn't hurt to be   
>> explicit about the "Error Value" field of the ERROR_SPEC (when  
>> Error  Code = "User Error Spec"). I understand this field is  
>> basically not  to serve any purpose ("No Error Values are  
>> defined), suggesting a  "MUST be set to zero on transmit and MUST  
>> be ignored on receipt" .
>>
>> Francois
>>
>>
>> http://www.ietf.org/internet-drafts/draft-ietf-tsvwg-rsvp-user- 
>> error- spec-05.txt
>>
>
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Sat, 5 Apr 2008 13:18:34 +0100

Hi Francois,

Yes, that works and achieves backward compatibility.

Thanks,
Adrian
----- Original Message ----- 
From: "Francois Le Faucheur IMAP" <[email-masked]>
To: "Adrian Farrel" <[email-masked]>
Cc: "Francois Le Faucheur IMAP" <[email-masked]>; "tsvwg IETF list" 
<[email-masked]>
Sent: Tuesday, April 01, 2008 7:25 PM
Subject: Re: [Tsvwg] I-D Action:draft-ietf-tsvwg-rsvp-user-error-spec-05.txt

> how about you do define one Error Value in this draft (eg "0  = all  error 
> information is encoded inside USER_ERROR_SPEC") ?
> This way:
> - implementations will know that they must set value to 0 (until  they 
> have something more meaningful to put inside Error Value)
> - implementation will know that when they receive 0, it means there  is no 
> meaningful info
> - the registry in IANA will show a single value for now (making it  clear 
> that it the value to set/expect for now) and other values can  be added 
> there later.
> I'd think this would make things clearer/cleaner than not specifying  any 
> value. You could argue it kinds of wastes one value but  considering this 
> is 16 bits field and there is no identified use yet,  that seems bearable.
>
> Makes sense?
>
> Francois
>
>>
>>> about the "Error Value" field of the ERROR_SPEC (when  Error  Code = 
>>> "User Error Spec"). I understand this field is  basically not  to serve 
>>> any purpose ("No Error Values are  defined), suggesting a  "MUST be set 
>>> to zero on transmit and MUST  be ignored on receipt" .
>>>
>>> Francois
>>>
>>>
>>> http://www.ietf.org/internet-drafts/draft-ietf-tsvwg-rsvp-user- error- 
>>> spec-05.txt
>>>
>>
>>
>
>